AnakiaJDOMFactory (Velocity 1.7 API)
Keywords: org.apache.velocity.anakia.AnakiaJDOMFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class AnakiaJDOMFactory

    java.lang.Object
      org.jdom.DefaultJDOMFactory
          org.apache.velocity.anakia.AnakiaJDOMFactory

All Implemented Interfaces:
  JDOMFactory

public class AnakiaJDOMFactory
extends DefaultJDOMFactory

A customized JDOMFactory for Anakia that produces `AnakiaElement` instances instead of ordinary JDOM `Element` instances.

Version:
  $Id: AnakiaJDOMFactory.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Attila Szegedi

Constructor Summary
`AnakiaJDOMFactory()`

Method Summary
`Element` | `element(String name)`
`Element` | `element(String name, Namespace namespace)`
`Element` | `element(String name, String uri)`
`Element` | `element(String name, String prefix, String uri)`

Methods inherited from class org.jdom.DefaultJDOMFactory
`addContent, addNamespaceDeclaration, attribute, attribute, attribute, attribute, cdata, comment, docType, docType, docType, document, document, document, entityRef, entityRef, entityRef, processingInstruction, processingInstruction, setAttribute, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnakiaJDOMFactory

    public AnakiaJDOMFactory()

Method Detail

### element

    public Element element(String name,
                           Namespace namespace)

  See Also:
    `DefaultJDOMFactory.element(java.lang.String, org.jdom.Namespace)`

### element

    public Element element(String name)

  See Also:
    `DefaultJDOMFactory.element(java.lang.String)`

### element

    public Element element(String name,
                           String uri)

  See Also:
    `DefaultJDOMFactory.element(java.lang.String, java.lang.String)`

### element

    public Element element(String name,
                           String prefix,
                           String uri)

  See Also:
    `DefaultJDOMFactory.element(java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.